Bug 1010733 - [abrt] evolution-3.8.5-2.fc19: g_strfreev: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
[abrt] evolution-3.8.5-2.fc19: g_strfreev: Process /usr/bin/evolution was kil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
abrt_hash:fbb1e23c1593fb58d289d274530...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 17:15 EDT by Mikhail
Modified: 2015-02-17 12:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:18:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (68.26 KB, text/plain)
2013-09-22 17:15 EDT, Mikhail
no flags Details
File: cgroup (141 bytes, text/plain)
2013-09-22 17:15 EDT, Mikhail
no flags Details
File: core_backtrace (57.56 KB, text/plain)
2013-09-22 17:15 EDT, Mikhail
no flags Details
File: dso_list (25.84 KB, text/plain)
2013-09-22 17:15 EDT, Mikhail
no flags Details
File: environ (3.05 KB, text/plain)
2013-09-22 17:15 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-22 17:15 EDT, Mikhail
no flags Details
File: maps (127.89 KB, text/plain)
2013-09-22 17:15 EDT, Mikhail
no flags Details
File: open_fds (2.35 KB, text/plain)
2013-09-22 17:15 EDT, Mikhail
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-09-22 17:15 EDT, Mikhail
no flags Details
File: var_log_messages (318 bytes, text/plain)
2013-09-22 17:15 EDT, Mikhail
no flags Details
I am sure that my memory now is fine (3.87 MB, image/jpeg)
2013-09-26 15:37 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-09-22 17:15:21 EDT
Version-Release number of selected component:
evolution-3.8.5-2.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        evolution
crash_function: g_strfreev
executable:     /usr/bin/evolution
kernel:         3.11.1-200.fc19.x86_64.debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 g_strfreev at gstrfuncs.c:2406
 #7 g_themed_icon_finalize at gthemedicon.c:188
 #9 _gtk_icon_helper_clear at gtkiconhelper.c:49
 #10 gtk_cell_renderer_pixbuf_set_property at gtkcellrendererpixbuf.c:374
 #11 object_set_property at gobject.c:1358
 #12 g_object_set_valist at gobject.c:1953
 #13 g_object_set at gobject.c:2059
 #14 folder_tree_render_icon at em-folder-tree.c:861
 #15 apply_cell_attributes at gtkcellarea.c:1284
 #16 g_hash_table_foreach at ghash.c:1526
Comment 1 Mikhail 2013-09-22 17:15:26 EDT
Created attachment 801364 [details]
File: backtrace
Comment 2 Mikhail 2013-09-22 17:15:29 EDT
Created attachment 801365 [details]
File: cgroup
Comment 3 Mikhail 2013-09-22 17:15:33 EDT
Created attachment 801366 [details]
File: core_backtrace
Comment 4 Mikhail 2013-09-22 17:15:36 EDT
Created attachment 801367 [details]
File: dso_list
Comment 5 Mikhail 2013-09-22 17:15:40 EDT
Created attachment 801368 [details]
File: environ
Comment 6 Mikhail 2013-09-22 17:15:43 EDT
Created attachment 801369 [details]
File: limits
Comment 7 Mikhail 2013-09-22 17:15:46 EDT
Created attachment 801370 [details]
File: maps
Comment 8 Mikhail 2013-09-22 17:15:50 EDT
Created attachment 801371 [details]
File: open_fds
Comment 9 Mikhail 2013-09-22 17:15:53 EDT
Created attachment 801372 [details]
File: proc_pid_status
Comment 10 Mikhail 2013-09-22 17:15:56 EDT
Created attachment 801373 [details]
File: var_log_messages
Comment 11 Milan Crha 2013-09-23 08:06:41 EDT
Thanks for a bug report. The crash happened due to "double free or corruption (out)", according to the backtrace data, which seems like a memory corruption bug, in a sense of some function the code wrote to memory which it should not (as that 'double free' suggests, the function could even free some data it didn't belong to it, thus the correct free call failed in this way). I cannot tell from the backtrace where exactly this memory corruption happened, neither why, because the backtrace "only" shows where the corruption was detected. I'm afraid I'm not able to do anything with this, unless you've some reproducer or steps/hints for the reproducer.
Comment 12 Mikhail 2013-09-26 15:37:12 EDT
Created attachment 803557 [details]
I am sure that my memory now is fine
Comment 13 Milan Crha 2013-09-27 04:50:12 EDT
(In reply to Mikhail from comment #12)
> I am sure that my memory now is fine

Yes, I've no doubt, and to be honest, when I speak about "memory corruption", then I do not mean the "hardware memory corruption", but "memory corruption caused by the software", like if the code accesses already freed memory, tries to write to it (possibly overwriting other object which was placed on its place after the first free) and so on. These issues can happen in complex code, and can be caused by many factors.
Comment 14 Fedora Admin XMLRPC Client 2014-09-04 10:29:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora End Of Life 2015-01-09 14:56:34 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-17 12:18:25 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.